---
title: "Как сменить dns провайдера на deSEC"
linkTitle: "Смена провайдера на deSEC"
weight: 2
date: 2023-10-21
description: >
    Для тех кто хочет сменить своего dns провайдера уже после установки сервера.
categories: ["How-To Guides"]
---


Мы рекомендуем использоввать [deSEC](https://desec.io/) за место [CloudFlare](https://cloudflare.com/). DeSEС нацелен на приватность. 

Если вы сначала привязали ваш домен к слоудфаер и теперь хотите сменить провайдера, эта статья для вас.


1. Регистрируемся в [deSEC](https://desec.io/).

2. На [странице "domains"](https://desec.io/domains) нажимаем плюсик.


{{< imgproc desec1 Fill "626x287" />}}


3. Вводим свой домен.

4. Копируем "nameservers".

{{< imgproc desec2 Fill "626x287" />}}

---

Теперь ваша задача перейте на сайт провайдера, у которой вы покупали домен.
Действия будут схожи для всех провайдеров, мы будем показывать на примере [Namechip](https://www.namecheap.com/). 

1. Ваша задача перейти в панель управления вашим доменом.


2. Найти там параметр "Authoritative nameservers".

{{< imgproc namechip1 Fill "626x287" />}}

3. Заменяем текущие адреса, на те что мы скопировали из deSEC в инструкции ранее.

4. Сохраняем изменения.

{{< imgproc namechip3 Fill "626x287" />}}

---

Изменение записи домена может происходить до двух дней, так что рекомендуем вам подождать обновление записи, перед следующим действием. Иначе ваши сервисы временно перестанут быть доступны.

Понять что запись обновилась, вы сможете через приложение, либо перейдя по ссылке на один из ваших сервисов (вы увидите ошибку подключения). 

Для следующих действий вам нужно будет подключиться по ssh к серверу с правами администратора. Минимальное понимание работы командной строки приветствуеться ;)

Инструкцию по подключению вы сможете [прочитать тут](http://localhost:1313/ru/docs/how-to-guides/root_ssh/). 


После подключения к серверу введите:

```
nano /etc/nixos/userdata/userdata.json
```

Вы оказались в терминальном тектовом редакторе, под названием nano. 

Вы редактируете файл ```/etc/nixos/userdata/userdata.json```, и можете использовать стрелочки для перемещения.

Ваша задача найти в файле такие строчки

```
"dns": {
        "provider": "CLOUDFLARE",
        "apiKey": "Какие то цифры и буквы",
        "useStagingACME": false
    },
```

Замените:

```"provider": "CLOUDFLARE",```

на 

```"provider": "DESEC",```


Теперь на следующей строчке, уберите ваш старый токен от CloudFlare, и вставьте скопированный токен от deSEC.

```"apiKey": "Сюда ваш токен",```

Должно получиться так: 

```
"dns": {
        "provider": "DESEC",
        "apiKey": "Ваш токен от deSEC",
        "useStagingACME": false
    },
```

Теперь нажимаем CTRL+X, после клавишу Y. 
Если файл сохранился и вы успешно вышли из тектового редактора, можно спокойно закрывать терминал, и переходить в приложение, что-бы нажать кнопку "Обновить сервер".

